Back to API List To update the user details.Documentation Index
Fetch the complete documentation index at: https://koreai.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
This API requires JWT generated by an application created only from the Admin Console.
| Field | Value |
|---|---|
| Method | PUT |
| Endpoint | https://{{host}}/api/public/users |
| Content Type | application/json |
| Authorization | auth: {{JWT}} See How to generate the JWT Token. |
| API Scope | App Builder: Not Applicable; Admin Console: User Management > User Management |
Path Parameters
| Parameter | Description |
|---|---|
host | Environment URL, for example, https://platform.kore.ai |
Sample Request
Body Parameters
| Parameter | Required | Description |
|---|---|---|
users | Required | The array of details for each user that need to be updated. |
userInfo.emailId or userInfo.orgUserId | Required | Email IDs or the org user ID of the user being updated. |
userInfo.firstName | Optional | First name of the user if needs to be updated. |
userInfo.lastName | Optional | Last name of the user if needs to be updated. |
userInfo.companyName | Optional | Company to which the user needs to be updated. |
userInfo.dept | Optional | Department to which the user needs to be updated. |
userInfo.companyContactPhone | Optional | Contact Phone of the Company to which the user belongs. |
userInfo.worknumber | Optional | Work number of the user if needs to be updated. |
userInfo.street | Optional | Street Address of the user if needs to be updated. |
userInfo.suiteNo | Optional | Suite No Address of the user if needs to be updated. |
userInfo.city | Optional | City Address of the user if needs to be updated. |
userInfo.zip | Optional | Zip Address of the user if needs to be updated. |
userInfo.state | Optional | State Address of the user if needs to be updated. |
userInfo.country | Optional | Country Address of the user if needs to be updated. |
groups | Optional | Array of group IDs to which the user needs to be added (addTo) or removed (removeFrom). |
roles | Optional | Array of roleId-botId combinations to which the user needs to be added (addTo) or removed (removeFrom). |
assignBotTasks | Optional | Array of AI Agents to be assigned to the user. If not present, the current assignment will be retained. |
canCreateBot | Optional | Determines if the specified users can create AI Agents. Default: true. |
isDeveloper | Optional | Determines if the specified users can have access to App Builder. Default: true. |